Uploaded image for project: 'eZ Publish / Platform'
  1. eZ Publish / Platform
  2. EZP-27316

Error publishing an object with a filled ezselection field

    Details

      Description

      This issue is a follows-up of EZP-25002

      Steps to reproduce

      -create one content type that has an ezselection fieldtype. Add at least one option to the options. Save the content type
      -Create one object of previous content type. Fill in the selection field
      -Publish

      When publishing, an error notification is raised: An error occurred while publishing the draft
      The field has the error Option with index 0 does not exist in the field definition

      The response is

      {"ErrorMessage":{"_media-type":"application\/vnd.ez.api.ErrorMessage+json","errorCode":400,"errorMessage":"Bad Request","errorDescription":"Content fields did not validate","errorDetails":{"fields":[{"_fieldTypeId":182,"errors":[{"type":"selection","message":"Option with index 0 does not exist in the field definition."}]}]}}}
      

        Issue Links

          Activity

          Hide
          Sylvain Bannier added a comment -

          Same bug here. Can't publish anything now.

          Show
          Sylvain Bannier added a comment - Same bug here. Can't publish anything now.
          Hide
          Damien Pobel (Inactive) added a comment -

          PR for 1.7: https://github.com/ezsystems/PlatformUIBundle/pull/853

          This PR is created against 1.7 even if the bug does not affect eZ Platform 1.7 because the code responsible for the bug is in PlatformUI 1.7 but it is only really used with repository forms 1.6 which comes with eZ Platform 1.9 (and 1.8).
          The patch also works for 1.9

          Show
          Damien Pobel (Inactive) added a comment - PR for 1.7: https://github.com/ezsystems/PlatformUIBundle/pull/853 This PR is created against 1.7 even if the bug does not affect eZ Platform 1.7 because the code responsible for the bug is in PlatformUI 1.7 but it is only really used with repository forms 1.6 which comes with eZ Platform 1.9 (and 1.8). The patch also works for 1.9
          Show
          Damien Pobel (Inactive) added a comment - Fixed in https://github.com/ezsystems/PlatformUIBundle/commit/065efff521df044c44e68d05132c2356cf444347
          Hide
          Paulo Nunes (Inactive) added a comment -

          QA Approved

          Show
          Paulo Nunes (Inactive) added a comment - QA Approved
          Hide
          Bertrand Dunogier added a comment -

          Need to adapt fix version.

          Show
          Bertrand Dunogier added a comment - Need to adapt fix version.

            People

            • Assignee:
              Unassigned
              Reporter:
              Paulo Nunes (Inactive)
            • Votes:
              1 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: